Summary: A computer program for the calculation of Gromov-Witten invariants
Name: growi
Version: 1.0
Release: 1.PU_IAS.2
Source0: %{name}-%{version}.tar.gz
Patch1: growi-1.0-includemove.patch
Copyright: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.mathematik.uni-kl.de/~gathmann/en/growi.html

%description
GROWI is a C++ program for the computation of Gromov-Witten invariants. The current version 1.0 can compute:

    * (Absolute) Gromov-Witten invariants of projective spaces in any genus,
    * (Absolute) Gromov-Witten invariants of any hypersurface in a projective space in genus 0,
    * Relative Gromov-Witten invariants of projective spaces relative any hypersurface in genus 0.

"Descendants" can be used in all these invariants.

%prep
%setup
%patch1 -p1 -b .includemove

%build
%configure
make

%install
%makeinstall
mkdir $RPM_BUILD_ROOT/%{_includedir}/growi
mv $RPM_BUILD_ROOT/%{_includedir}/*.h $RPM_BUILD_ROOT/%{_includedir}/growi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README COPYING INSTALL AUTHORS
%{_bindir}/*
%{_libdir}/lib*.a
%{_includedir}/growi
